#ifndef _Handle_PColStd_HSequenceOfInteger_HeaderFile
#define _Handle_PColStd_HSequenceOfInteger_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColStd_HSequenceOfInteger;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_HSequenceOfInteger);

class Handle(PColStd_HSequenceOfInteger) : public Handle(Standard_Persistent) {
  public:

    Handle(PColStd_HSequenceOfInteger)():Handle(Standard_Persistent)() {} 
    Handle(PColStd_HSequenceOfInteger)(const Handle(PColStd_HSequenceOfInteger)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColStd_HSequenceOfInteger)(const PColStd_HSequenceOfInteger* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColStd_HSequenceOfInteger)& operator=(const Handle(PColStd_HSequenceOfInteger)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_HSequenceOfInteger)& operator=(const PColStd_HSequenceOfInteger* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_HSequenceOfInteger* operator->() const 
     {
      return (PColStd_HSequenceOfInteger *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_HSequenceOfInteger) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
